1. conversations
Peach
  • template-messages
    • Send a pre-approved template message
      POST
    • Poll template message status
      GET
    • Poll template messages status
      GET
    • Connect to AI Agent
      POST
    • Send an App message
      POST
  • broadcasts
    • List broadcasts
      GET
    • Launch a broadcast
      POST
    • Poll broadcast status
      GET
    • Get broadcast details
      GET
    • Archive broadcast
      PATCH
    • Cancel broadcast
      PATCH
  • whatsapp_templates
    • List all templates
      GET
    • Create a template
      POST
    • Update template
      PATCH
    • Archive template
      PATCH
    • Pause template
      PATCH
    • Submit template
      PATCH
    • Fetch template details
      GET
  • conversations
    • List messages
      GET
    • List conversations
      GET
    • Update conversation status
      PATCH
    • Agent Assignment
      POST
    • Close Conversation
      POST
  • contacts
    • Create multiple contacts
      POST
    • Update a contact
      PATCH
    • Create a contact
      POST
    • Bulk update communication preferences
      POST
  • orders
    • Create an order
    • Find order by ID
    • Create a refund for an order
  • medias
    • About uploaded media
    • List available medias
    • Add a media (Deprecated)
    • Remove a media
    • Create a direct upload for media
    • Finalize a direct uploaded media
  • webhooks
    • Order status webhooks
    • Flow execution status webhooks
    • Message delivery status webhooks
    • AI Agent Execution Webhooks
  • Schemas
    • Schemas
      • WhatsApp Template
      • WhatsApp Template Parameters
      • Order
      • RefundRequest
      • Contact
      • LineItem
      • OrderExpiry
      • TemplateMessage
      • AnyValue
      • Argument
      • Message
      • MessageResponse
  1. conversations

List conversations

GET
/api/v1/conversations
List conversations for the account. Supports filtering by status, escalation, activity type, and time windows.

Request

Authorization
Add parameter in header
Authorization
Example:
Authorization: ********************
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/api/v1/conversations?status&escalated&activity_type&activity_since&updated_since&page=1&per=50' \
--header 'Authorization: <api-key>'

Responses

🟢200Success
application/json
Paginated list of conversations
Body

Example
{
    "count": 0,
    "next": "string",
    "prev": "string",
    "conversations": [
        {
            "id": 0,
            "status": "open",
            "escalated": true,
            "can_respond_till": "2019-08-24T14:15:22.123Z",
            "subscriber": {
                "id": 0,
                "name": "string",
                "phone_number": "string"
            },
            "assigned_to": {
                "type": "string",
                "id": 0,
                "name": "string"
            },
            "last_activity_at": "2019-08-24T14:15:22.123Z",
            "updated_at": "2019-08-24T14:15:22.123Z",
            "created_at": "2019-08-24T14:15:22.123Z"
        }
    ]
}
Modified at 2026-04-21 12:14:00
Previous
List messages
Next
Update conversation status
Built with